=== debian/changelog ===
nobodd (0.4-0ubuntu1) noble; urgency=medium

  * Initial release. (LP: #2056234)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 01 Mar 2024 19:02:29 +0000
