=== debian/control ===
Source: nobodd
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Uploaders:
 Dave Jones <dave.jones@canonical.com>
Homepage: https://nobodd.readthedocs.io/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-doc,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/nobodd.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nobodd
Rules-Requires-Root: no

Package: python3-nobodd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: nobodd-doc
Description: TFTP boot server for OS images, Python 3 library
 nobodd is a TFTP service which serves files directly from OS image files. It
 is primarily intended for booting Raspberry Pis which then use some network
 block device service (e.g. nbd-server) to serve their root device.
 .
 The implementation is also designed from use as a library, and includes
 classes to handle MBR and GPT disk partition parsing, and a fairly full
 featured read/write FAT implementation, capable of handling FAT-12/16/32
 file-systems from within OS images directly.
 .
 This is the package containing the Python implementation. Unless you wish to
 use the library features of nobodd, you likely want to install either
 nobodd-tftpd or nobodd-tools.

Package: nobodd-tftpd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-nobodd,
 adduser,
Recommends: nbd-server
Suggests: nobodd-doc
Description: TFTP boot server for OS images, geared towards the Raspberry Pi
 nobodd is a TFTP service which serves files directly from OS image files. It
 is primarily intended for booting Raspberry Pis which then use some network
 block device service (e.g. nbd-server) to serve their root device.
 .
 The implementation is also designed from use as a library, and includes
 classes to handle MBR and GPT disk partition parsing, and a fairly full
 featured read/write FAT implementation, capable of handling FAT-12/16/32
 file-systems from within OS images directly.
 .
 This package installs the man:nobodd-tftpd(1) service.

Package: nobodd-tools
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-nobodd,
Suggests: nobodd-doc
Description: TFTP boot server for OS images, image manipulation tools
 nobodd is a TFTP service which serves files directly from OS image files. It
 is primarily intended for booting Raspberry Pis which then use some network
 block device service (e.g. nbd-server) to serve their root device.
 .
 The implementation is also designed from use as a library, and includes
 classes to handle MBR and GPT disk partition parsing, and a fairly full
 featured read/write FAT implementation, capable of handling FAT-12/16/32
 file-systems from within OS images directly.
 .
 This package installs the man:nobodd-prep(1) utility, intended to customize
 images for serving with man:nobodd-tftpd(1) and man:nbd-server(1).

Package: nobodd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python3-doc
Description: TFTP boot server for OS images, documentation
 nobodd is a TFTP service which serves files directly from OS image files. It
 is primarily intended for booting Raspberry Pis which then use some network
 block device service (e.g. nbd-server) to serve their root device.
 .
 The implementation is also designed from use as a library, and includes
 classes to handle MBR and GPT disk partition parsing, and a fairly full
 featured read/write FAT implementation, capable of handling FAT-12/16/32
 file-systems from within OS images directly.
 .
 This is the documentation package for nobodd.
