=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=nobodd

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py sdist
endif
	dh_auto_test

override_dh_auto_build:
	dh_auto_build
	# Build translations
	make mo
	# Build HTML docs (for -doc package), and manpages (for bin packages)
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man

override_dh_auto_install:
	dh_auto_install
	# Move the binaries into their respective packages
	mkdir -p debian/nobodd-tftpd/usr/bin
	mkdir -p debian/nobodd-tools/usr/bin
	mv debian/python3-nobodd/usr/bin/nobodd-tftpd debian/nobodd-tftpd/usr/bin/
	mv debian/python3-nobodd/usr/bin/nobodd-prep debian/nobodd-tools/usr/bin/

override_dh_installdocs:
	dh_installdocs -pnobodd-doc --doc-main-package=python3-nobodd
	dh_installdocs -ppython3-nobodd
	dh_installdocs -pnobodd-tftpd
	dh_installdocs -pnobodd-tools
