=== debian/changelog ===
nobodd (0.5-0ubuntu2) resolute; urgency=medium

  * Include python3-pytest-cov in autopkgtest requirements to fix autopkgtest
    regression, and allow stderr output

 -- Dave Jones <dave.jones@canonical.com>  Thu, 19 Feb 2026 13:16:04 +0000

nobodd (0.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2141897)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 16 Feb 2026 00:45:37 +0000
