=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-doc,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-pytest,
+ python3-pytest-cov,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/nobodd.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nobodd
@@ -76,8 +78,9 @@
  featured read/write FAT implementation, capable of handling FAT-12/16/32
  file-systems from within OS images directly.
  .
- This package installs the man:nobodd-prep(1) utility, intended to customize
- images for serving with man:nobodd-tftpd(1) and man:nbd-server(1).
+ This package installs the man:nobodd-prep(1) and man:nobodd-sh(1) utilities,
+ intended to customize images for serving with man:nobodd-tftpd(1) and
+ man:nbd-server(1).
 
 Package: nobodd-doc
 Architecture: all
