=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,6 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	python3 setup.py sdist
-endif
-	dh_auto_test
 
 override_dh_auto_build:
 	dh_auto_build
@@ -30,6 +24,7 @@
 	mkdir -p debian/nobodd-tools/usr/bin
 	mv debian/python3-nobodd/usr/bin/nobodd-tftpd debian/nobodd-tftpd/usr/bin/
 	mv debian/python3-nobodd/usr/bin/nobodd-prep debian/nobodd-tools/usr/bin/
+	mv debian/python3-nobodd/usr/bin/nobodd-sh debian/nobodd-tools/usr/bin/
 
 override_dh_installdocs:
 	dh_installdocs -pnobodd-doc --doc-main-package=python3-nobodd
