=== debian/tests/control ===
Test-Command: pytest-3 -rsx --tb=short tests/
Depends: python3-nobodd, python3-pytest, python3-pytest-cov
Restrictions: allow-stderr
